Subject: Re: Reserving small amounts of memory with mem= (MPC85xx, 2.6.15 arch/ppc)

From: Florian Boelstler <[email-masked]>
Date: Mon, 16 Jun 2008 16:26:43 +0200

Scott Wood wrote:
> CAM entries can be any power of 4 between 4K and 256M.  However, the 
> code currently is hardcoded to use no more than 3 entries.

Ah, this explains a lot, thanks.

> Alternately, do you have highmem enabled?  That will let you access the 
> rest of the RAM that the CAM doesn't map, though I don't know if an 
> initrd in highmem works.

I didn't had highmem enabled so far. Now it is and Linux is able to 
allocate rest of memory.

It doesn't work if initrd is placed in highmem though. I just put it at 
the end of lowmem.

Cheers,

   Florian